function [U11minusU33plusU12_K1_lunarpart,U11minusU33plusU12_K1_solarpart,U11minusU33plusU12_O1,U11minusU33plusU12_P1,U11minusU33plusU12_Q1,U11minusU33plusU12_diurnal_node,U11minusU33plusU12_diurnal_LF]=computeUcombinations_diurnaltides_obliquity_nodeLF(inclination,eccentricity,epsilon,M_S,a,M_M,aprime,eccentricityprime);

% The K1 parts were changed in response to Jim Williams email of 7 June 2019:

%U11minusU33plusU12_K1_lunarpart = (1/2) * ( 1 - (3/2)*( sin(inclination) )^2 ) * ( ( cos(epsilon) )^2 ) * ( 1 - (5/2)*eccentricity^2 + (13/16)*eccentricity^4 );

U11minusU33plusU12_K1_lunarpart = (1/2) * ( 1 - (3/2)*( sin(inclination) )^2 ) * ( ( cos(epsilon) )^2 ) * ( 1 / ( (1-eccentricity^2)^1.5 ) );

%U11minusU33plusU12_K1_solarpart = (1/2)*( M_S*(a^3) ) * ( 1 / ( M_M*(aprime^3) ) ) * ( ( cos(epsilon) )^2 ) * ( 1 - (5/2)*eccentricityprime^2 + (13/16)*eccentricityprime^4 );

U11minusU33plusU12_K1_solarpart = (1/2)*( M_S*(a^3) ) * ( 1 / ( M_M*(aprime^3) ) ) * ( ( cos(epsilon) )^2 ) * ( 1 / ( (1-eccentricityprime^2)^1.5 ) );

U11minusU33plusU12_O1 = (1/2) * ( 2 - cos(epsilon) ) * ( 1 + cos(epsilon) ) * ( ( ( 1 + cos(inclination) ) / 2 )^2 ) * ( 1 - (5/2)*eccentricity^2 + (13/16)*eccentricity^4 );

% Note factor of (1/2) out front was missing in early versions of this code; fixed after Jim Williams email of 16 November 2017
U11minusU33plusU12_P1 = (1/2) * ( M_S*(a^3) ) * ( 1 / ( M_M*(aprime^3) ) ) * ( 2 - cos(epsilon) ) * ( 1 + cos(epsilon) ) * ( 1 - (5/2)*eccentricityprime^2 + (13/16)*eccentricityprime^4 );

U11minusU33plusU12_Q1 = (1/2) * ( 2 - cos(epsilon) ) * ( 1 + cos(epsilon) ) * ( ( ( 1 + cos(inclination) ) / 2 )^2 ) * ( (7/2)*eccentricity - (123/16)*eccentricity^3 );

U11minusU33plusU12_diurnal_node = -(1/2) * ( sin(inclination) ) * ( cos(inclination) ) * ( sin(epsilon) ) * ( 2*cos(epsilon) - 1  ) / ( ( 1 - eccentricity^2 )^1.5 );

U11minusU33plusU12_diurnal_LF = (1/4) * ( sin(inclination) ) * (1 + cos(inclination) ) * ( sin(epsilon) ) * ( 2*cos(epsilon) - 1  )  * ( 1 - (5/2)*eccentricity^2 + (13/16)*eccentricity^4 );
