function [C_of_omega_E]=compute_C_of_omega_E(omega_E,k2fluid,sfluid,M_E,R,C_0);

% Based upon Jim Williams writeup of 6 November 2017 

% omega_E must be given in radians per second

C_of_omega_E_over_C_0 = 1 + 0.655e6 * ( omega_E^2 ) * ( (2/3) * k2fluid + sfluid ); 

C_of_omega_E = C_of_omega_E_over_C_0 * C_0 * M_E * R^2; 
