function [KoverC_Moon_coremantledissipation,xi_Moon_coremantledissipation] = compute_KoverC_and_xi_lunarCMB(CoverCprime_Moon_coremantledissipation,dOmega_dt,n,I_lunartilt);

% Computes KoverC and xi parameters needed for computing impacts of core-mantle dissipation in Moon

Fdot=n-dOmega_dt;

%xi_Moon_coremantledissipation = - KoverC_Moon_coremantledissipation * CoverCprime_Moon_coremantledissipation * ( 1 / dOmega_dt );

xi_partial = - CoverCprime_Moon_coremantledissipation * ( 1 / dOmega_dt );

%abs_domega=Fdot*sin(I_lunartilt)*(1 / ( (1+xi_Moon_coremantledissipation^2)^(1/2) ) );

abs_domega_partial=Fdot*abs(sin(I_lunartilt));

%kappa = (0.4^2) / ( ( 14.631 - log(1+xi_Moon_coremantledissipation^2) )^2 );

kappa_partial = (0.4^2) ;

%KoverC_Moon_coremantledissipation=(45/32)*pi*(1/CoverCprime_Moon_coremantledissipation)*kappa*abs_domega;

fun=@(KoverC_Moon_coremantledissipation) KoverC_Moon_coremantledissipation - (45/32)*pi*(1/CoverCprime_Moon_coremantledissipation)*( kappa_partial / ( ( 14.631 - log(1 + ( xi_partial * KoverC_Moon_coremantledissipation )^2) )^2 ) ) * abs_domega_partial * (1 / ( (1 + ( xi_partial * KoverC_Moon_coremantledissipation)^2)^(1/2) ) ); 

KoverC_Moon_coremantledissipation=fzero(fun,0);

xi_Moon_coremantledissipation = - KoverC_Moon_coremantledissipation * CoverCprime_Moon_coremantledissipation * ( 1 / dOmega_dt );


