function [da_dt] = compute_da_dt_diurnal(n,a,S_A,M_M,M_E,R,jM,U13minusU23,ksinchi);

% Computes da_dt for a single diurnal constituent

% Uses diurnal "q-" term in equation (30) of Williams and Boggs (2016)

da_dt = (1/2) * n * a * S_A * (M_M/M_E) * ( (R/a)^5 ) * jM * 3 * (U13minusU23^2) * ksinchi;




