function [power] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

% This function computes power dissipation for a single diurnal constituent given ksinchi and other parameters

power = (3/4) * G * (M_M^2) * (1/a) * ( (R/a)^5 ) * ( omega_E * (oneplusdelta_q0^2) - jM * n * S_A ) * ( U13minusU23^2 ) * ksinchi;
