function [ksinchi] = compute_longperiod_ksinchi_from_powerdissipation(n,S_A,G,M_M,a,R,jM,U11plusU22minus2U33,power);

% This function computes ksinchi for a single long period constituent given power and other parameters

dummy = n * S_A * G * (M_M^2) * (1/(8*a)) * ( (R/a)^5 ) * jM * ( (U11plusU22minus2U33)^2 );

ksinchi = power / dummy;
