function [dOmega_dt] = compute_noderate(nprime,n);

% Computes lunar node rate; see page 11 of 6 November 2017 writeup from Jim Williams

dOmega_dt = (-3/4) * ( nprime^2 / n ) + (9/32) * ( nprime^3 / n^2 ) + (273/128) * ( nprime^4 / n^3 );


 
