function [power] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

% This function computes power dissipation for a single semidiurnal constituent given ksinchi and other parameters

power = (3/16) * G * (M_M^2) * (1/a) * ( (R/a)^5 ) * ( 2 * omega_E * (oneplusdelta_q0^2) - jM * n * S_A ) * (U11minusU22plus2U12^2) * ksinchi;
