function [U11minusU22plus2U12_K2_lunarpart,U11minusU22plus2U12_K2_solarpart,U11minusU22plus2U12_M2,U11minusU22plus2U12_S2,U11minusU22plus2U12_N2]=computeUcombinations_semidiurnaltides(inclination,eccentricity,epsilon,M_S,a,M_M,aprime,eccentricityprime);

% June 9, 2019: changed K2lunar part in response to Jim Williams email of June 7, 2019:

%U11minusU22plus2U12_K2_lunarpart = (1/8)*( (1 + cos(inclination) )^2 ) * ( ( sin(epsilon) )^2 ) / ( ( 1 - eccentricity^2 )^1.5 );

U11minusU22plus2U12_K2_lunarpart = (1/2)*( 1 - (3/2)*( ( sin(inclination) )^2 ) ) * ( ( sin(epsilon) )^2 ) / ( ( 1 - eccentricity^2 )^1.5 );

U11minusU22plus2U12_K2_solarpart = (1/2)*( M_S*(a^3) ) * ( 1 / ( M_M*(aprime^3) ) ) * ( ( sin(epsilon) )^2 ) / ( ( 1 - eccentricityprime^2 )^1.5 );

U11minusU22plus2U12_M2 = (1/8)*( (1 + cos(inclination) )^2 ) * ( ( 1 + cos(epsilon) )^2 ) * ( 1 - (5/2)*eccentricity^2 + (13/16)*eccentricity^4 );

U11minusU22plus2U12_S2 = (1/2)*( M_S*(a^3) ) * ( 1 / ( M_M*(aprime^3) ) ) * ( ( 1 + cos(epsilon) )^2 ) * ( 1 - (5/2)*eccentricityprime^2 + (13/16)*eccentricityprime^4 );

U11minusU22plus2U12_N2 = (1/8)*( (1 + cos(inclination) )^2 ) * ( ( 1 + cos(epsilon) )^2 ) * ( (7/2)*eccentricity - (123/16)*eccentricity^3 );




