function [da_dt] = compute_da_dt_semidiurnal(n,a,S_A,M_M,M_E,R,jM,U11minusU22plus2U12,ksinchi);

% Computes da_dt for a single semidiurnal constituent

% Uses diurnal "q-" term in equation (30) of Williams and Boggs (2016)

da_dt = (1/2) * n * a * S_A * (M_M/M_E) * ( (R/a)^5 ) * jM * (3/4) * (U11minusU22plus2U12^2) * ksinchi;




