function [deccentricity_dt] = compute_deccentricity_dt_tidesinMoon(k2_over_Q_tidesinMoon,M_E,M_M,R_M,a,n,eccentricity);

% Computes deccentricity_dt due to tides in Moon, from formula on page 11 of 6 November 2017 Williams writeup

deccentricity_dt = (-21/2) * k2_over_Q_tidesinMoon * (M_E/M_M) * ( (R_M/a)^5 ) * n * eccentricity;

