function [ksinchi] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);

% This function computes ksinchi for a single diurnal constituent given power and other parameters

dummy = (3/4) * G * (M_M^2) * (1/a) * ( (R/a)^5 ) * ( omega_E * (oneplusdelta_q0^2) - jM * n * S_A ) * ( U13minusU23^2 );

ksinchi = power / dummy;
