function [domegabar_dt] = compute_longitudeofperigeerate(nprime,n);

% Computes longitude of perigee rate; see page 11 of 6 November 2017 writeup from Jim Williams

domegabar_dt = (3/4) * ( nprime^2 / n ) + (225/32) * ( nprime^3 / n^2 ) + (4071/128) * ( nprime^4 / n^3 ) + (265493/2048) * ( nprime^5 /n^4 );


 
