function [power] = compute_longperiod_powerdissipation_from_ksinchi(n,S_A,G,M_M,a,R,jM,U11plusU22minus2U33,ksinchi);

% This function computes power dissipation for a single long period constituent given ksinchi and other parameters

power = n * S_A * G * (M_M^2) * (1/(8*a)) * ( (R/a)^5 ) * jM * ( (U11plusU22minus2U33)^2 ) * ksinchi;
