function [ksinchi] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);

% This function computes ksinchi for a single semidiurnal constituent given power and other parameters

dummy = (3/16) * G * (M_M^2) * (1/a) * ( (R/a)^5 ) * ( 2 * omega_E * (oneplusdelta_q0^2) - jM * n * S_A ) * (U11minusU22plus2U12^2);

ksinchi = power / dummy;
